#!/bin/sh
DECORATOR=/usr/bin/cgwd
KWIN=/usr/bin/kwin
NXGL=/usr/bin/nonXgl
CONFIGFILE=/etc/default/xgl
KWINRULES=$HOME/.kde/share/config/kwinrulesrc
KWINUPDATES=/usr/share/compiz_wm/kwinrules_extra

if [ -e $CONFIGFILE ]; then
        . $CONFIGFILE
else
        USE_XGL=NO
fi

if [ $USE_XGL = YES ]
then $DECORATOR &

if [ -e $KWINRULES ]
then echo "kwinrulesrc found"
if cat $KWINRULES | grep "42_xgl-kubuntu_42" 
then echo "kwin extra rules already added"
else echo "Adding rules to kwinrulesrc"
cat $KWINUPDATES >> $KWINRULES
fi
fi


$NXGL $KWIN &
fi
